# Uses of Enum Class
org.apache.sysds.runtime.functionobjects.Builtin.BuiltinCode

Packages that use Builtin.BuiltinCode
Package
Description
org.apache.sysds.runtime.functionobjects

## Uses of Builtin.BuiltinCode in org.apache.sysds.runtime.functionobjects

Fields in org.apache.sysds.runtime.functionobjects declared as Builtin.BuiltinCode
Modifier and Type
Field
Description
`Builtin.BuiltinCode`
Builtin.`bFunc`
Fields in org.apache.sysds.runtime.functionobjects with type parameters of type Builtin.BuiltinCode
Modifier and Type
Field
Description
`static HashMap<String,Builtin.BuiltinCode>`
Builtin.`String2BuiltinCode`
Methods in org.apache.sysds.runtime.functionobjects that return Builtin.BuiltinCode
Modifier and Type
Method
Description
`Builtin.BuiltinCode`
Builtin.`getBuiltinCode()`
`static Builtin.BuiltinCode`
Builtin.BuiltinCode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Builtin.BuiltinCode[]`
Builtin.BuiltinCode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.functionobjects with parameters of type Builtin.BuiltinCode
Modifier and Type
Method
Description
`static Builtin`
Builtin.`getBuiltinFnObject(Builtin.BuiltinCode code)`
`static boolean`
Builtin.`isBuiltinCode(ValueFunction fn, Builtin.BuiltinCode... codes)`